## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.tableeditor.model
Class ASATableSchemaImmutableModel

    java.lang.Object
      org.eclipse.datatools.sqltools.schemaobjecteditor.model.AbstractSchemaObjectImmutableModel
          org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.tableeditor.model.ASATableSchemaImmutableModel

All Implemented Interfaces:
  ISchemaObjectImmutableModel

    public class ASATableSchemaImmutableModel

extends AbstractSchemaObjectImmutableModel

Immutable model for ASA table schema editor

Author:
  Idull

Constructor Summary
`ASATableSchemaImmutableModel(BaseTable object, java.util.Map ojbects)`

Method Summary
`void` `refreshFromDB(java.lang.String newName)` Subclass should override this method

Methods inherited from class org.eclipse.datatools.sqltools.schemaobjecteditor.model.AbstractSchemaObjectImmutableModel
`equals, getAdditionalSQLObjects, getMainSQLObject, isModelExist`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASATableSchemaImmutableModel

    public ASATableSchemaImmutableModel(BaseTable object,
                                        java.util.Map ojbects)

Method Detail

### refreshFromDB

    public void refreshFromDB(java.lang.String newName)

  Description copied from class: `AbstractSchemaObjectImmutableModel`
  Subclass should override this method

  Specified by:
    `refreshFromDB` in interface `ISchemaObjectImmutableModel`
  Overrides:
    `refreshFromDB` in class `AbstractSchemaObjectImmutableModel`
  Parameters:
    `newName` - the name of the main object